{% extends 'base.html.twig' %}

{% block title %}Sign Up!{% endblock %}
{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="styles/register.css">
{% endblock %}
{% block body %}
<div class="register__main">
    {% block error %}
        <div class="error__messages">
            {% if userExist %}
                <div class="register__error">
                    <p>El usuario ya existe</p>
                </div>
            {% endif %}
            {% if not password %}
                <div class="register__error">
                    <p>Las contraseñas no coinciden </p>
                </div>
            {% endif %}
        </div>
    {% endblock %}
    <div class="register__container">
            {% for message in app.flashes('notice') %}
                <div class="flash-notice">
                    {{ message }}
                </div>
                {% endfor %}
        {{ form_errors(registerForm) }}
            {{ form_start(registerForm) }}
            <h1 class="register__title">Please sign up</h1>
            <div class="register__options">
                {{ form_label(registerForm.username, 'Username', { 'label_attr': {'class': 'register__label'} }) }}
                {{ form_widget(registerForm.username,  { 'attr': {'class': 'register__input'}})}}
            </div>
            <div class="register__options">
                {{ form_label(registerForm.email, 'Email', { 'label_attr': {'class': 'register__label'} }) }}
                {{ form_widget(registerForm.email,  { 'attr': {'class': 'register__input'}})}}
            </div>
            <div class="register__options">
                {{ form_label(registerForm.password, 'Password', { 'label_attr': {'class': 'register__label'} }) }}
                {{ form_widget(registerForm.password,  { 'attr': {'class': 'register__input'}})}}
            </div>
            <div class="register__submit">
                {{ form_end(registerForm) }}
            </div>
            <a class="register__back" href="{{path('app_login')}}"class="register__button">Back</a>
   
    </div>
</div>
{% endblock %}
